Get Authcode
Retrieve the authorization code (authcode) for a domain. The authcode is required to transfer a domain to another registrar.
Request
GET /api/v1/domains/{id}/authcode
Required scope: domains:manage
Path Parameters
| Parameter |
Type |
Description |
id |
string |
The domain ID |
Headers
| Header |
Required |
Value |
Authorization |
Yes |
Bearer YOUR_API_KEY |
Response
{
"data": {
"authcode": "aBc123xYz"
}
}
Response Fields
| Field |
Type |
Description |
data.authcode |
string |
The domain authorization code |
Errors
| Status |
Code |
Description |
| 404 |
NOT_FOUND |
The domain was not found |
| 502 |
PROVIDER_ERROR |
The domain provider returned an error |
Example
curl -X GET https://site.quest/api/v1/domains/a1b2c3d4e5f6a1b2c3d4e5f6/authcode \
-H "Authorization: Bearer YOUR_API_KEY"
MCP
This action is also available via the get_authcode MCP tool.